package controllers;

import play.*;
import play.mvc.*;
import play.data.*;
import static play.data.Form.*;

import views.html.employee.*;

import models.*;

public class Employees extends Controller {
    
    /**
     * Defines a form wrapping the Employee class.
     */ 
    final static Form<Employee> employeeForm = form(Employee.class);
  
    /**
     * Display a blank form.
     */ 
    public static Result blank() {
        return ok(form.render(employeeForm));
    }
	
	
     /**
     * Returns a page that lists all employees.
     */
	 
    public static Result listall(){
    	return ok(viewall.render(Employee.all(), employeeForm));
    	
    }
	 /**
     * Removes an employee
     */
    
    public static Result deleteEmployee(Long id) {
  	  Employee.delete(id);
  	  return redirect(routes.Employees.listall());
  	}
  
  
    /**
     * Handle the form submission.
     */
    public static Result submit() {
        Form<Employee> filledForm = employeeForm.bindFromRequest();
        
        if(filledForm.hasErrors()) {
            return badRequest(form.render(filledForm));
        } else {
            Employee created = filledForm.get();
            Employee.create(created);
            return ok(summary.render(created));
        }
    }
  
}