package models;

import java.util.*;

import javax.persistence.*;
import javax.validation.*;

import play.data.validation.Constraints.*;
import play.db.ebean.Model.Finder;

import play.db.ebean.*;
import play.data.validation.Constraints.*;

@Entity
public class Employee extends Model {
	
	/*These are the main attributes of 
	the Employee class. */
	
	@Id
    public long id;
	
    @Required
    public String firstname;
    
    @Required
    public String lastname;
    
    @Required
    public String role;
    
    @Required
    public String email;
    
    @Required
    public String password;


    /*These are the main constructors of 
	the Employee class. */
    public Employee() {}
    
    public Employee(String firstname, String lastname, String role, String email, String password) {
        this.firstname = firstname;
        this.lastname = lastname;
        this.role = role;
        this.email = email;
        this.password = password;

    }
    
	/*These are operations that will be called 
	on objects of type Employee*/
	
    public static Finder<Long,Employee> employeeFind = new Finder(
    	    Long.class, Employee.class
    	  );
    
    
    
    public static List<Employee> all() {
  	  return employeeFind.all();
  	}
    
	public static void create(Employee employee) {
		  employee.save();
		  if(employee.role.equalsIgnoreCase("Waiter")){
			  WaiterQueue.add(employee);
		  }
		}
    
	public static void delete(Long id) {
		  employeeFind.ref(id).delete();
		}
    
    
    
}