//Written by Amizan Jaleel
/*The purpose of this class is to distribute the workload
 * of the tables among the waiters. Whenever a customer is seated at a 
 * table, a waiter is assigned to it. That waiter is the one at the front of
 * the queue. The purpose of this is to ensure that only the least recently
 * called waiter will be assigned to any given table. 
 * Note that waiters must be created before they are added to 
 * the queue. */

package models;

import java.util.*;

import javax.persistence.*;
import javax.validation.*;

import play.data.validation.Constraints.*;
import play.db.ebean.Model.Finder;

import play.db.ebean.*;
import play.data.validation.Constraints.*;

public class WaiterQueue {
	
	public static Deque<Employee> waiterQueue = new ArrayDeque<Employee>();
	
	public static void add(Employee employee){ 
		/*Whenever a waiter is added, he is added to the front of the queue.
		 * This is because a new waiter will not have served any tables yet.*/
		
		waiterQueue.addFirst(employee);		
	}
	
	public static String increment(){
		Employee waiter;
		
		//Get the waiter at the front of the queue.
		  try {waiter = waiterQueue.removeFirst();}
		  
		  //If no waiters exist, return none.
		  catch(NoSuchElementException e) {return " None";}
		  
		  //Add that waiter to the end of the queue upon completion.
		  waiterQueue.addLast(waiter);
		  
		  //Return the name of the obtained waiter.
		return waiter.firstname;
	}

}
