// Written by: Rohit Lakshmanatirthakatte
// Tested by: Rohit Lakshmanatirthakatte
// Debugged by: Rohit Lakshmanatirthakatte

// This is the file that initiates and creates new tables for a restaurant.

package controllers;

// Load all Play functionalities.
import play.*;
import play.mvc.*;
import play.data.*;
import models.*;

// Handle rendering to HTML file.
import views.html.*;

public class WaiterTables extends Controller {	
	// Render to html.scala file.
	public static Result tasks() {
		return ok(
			views.html.waiterTables.render(TableTask.all())
		);
	}
	
	// What happens when the customer has chosen to sit at a table?
	public static Result sitHere(Long id) {
		// Create occupied object with Task attributes.
		TableTask occupied = TableTask.get(id);
		
		// isOccupied is initially 0 defined in create() function in Task.java.
		occupied.isOccupied = 1;
		
		// Table is now occupied.
		occupied.status = " OCCUPIED";
		
		// Save all of this into Play database.
		TableTask.saveThis(occupied);
		
		return redirect(routes.WaiterTables.tasks());
	}
	
	// What happens when customer finished paying cheque and left the restaurant?
	public static Result customerLeft(Long id) {
		// Create "left" object with Task attributes.
		TableTask left = TableTask.get(id);
		
		// isOccupied is initially 1 from the sitHere function above.
		left.isOccupied = 2;
		
		// Table needs to be cleaned.
		left.status = " NEEDS CLEANING";
		
		// Save all of this into Play database.
		TableTask.saveThis(left);

		return redirect(routes.WaiterTables.tasks());
	}
	
	// What happens when waiter finishes cleaning the table?
	public static Result finishedCleaning(Long id) {
		// Create "finCleaning" object with Task attributes.
		TableTask finCleaning = TableTask.get(id);
		
		// isOccupied is initially 2 from the customerLeft function above.
		finCleaning.isOccupied = 0;
		
		// Table is clean and ready for a new customer.
		finCleaning.status = " OPEN";
		
		// Save all of this into Play database.
		TableTask.saveThis(finCleaning);	

		return redirect(routes.WaiterTables.tasks());
	}
}
