package models;

import java.util.*;

import play.db.ebean.*;
import play.data.validation.Constraints.*;
import java.security.*;
import play.Logger;

import javax.persistence.*;
//contains id and list of items.
@Entity
public class Menu extends Model {
	@Id
	public Long id;
	// save categories when menu save() is called.
	@OneToMany(cascade = CascadeType.ALL)
	public List<Category> categories = new ArrayList();

	// Add category to menu
	public void addCategory(String name){
		Category newCat = new Category(name);
		categories.add(newCat);
	}
	// Display of entire menu.
		public String display(){
		String disp = "<h2>Menu</h2>";
		for (int i = 0; i < this.categories.size(); i++){
			Category cat = categories.get(i);
			if (cat.enabled){
			disp += cat.display();
			}
		}
		disp += "<br>";
		return disp;

	}

}